// Font Style
#define FT_UPRIGHT      0
#define FT_ITALIC       1
#define FT_CONDENSED    4
#define FT_EXPANDED     24
#define FT_OUTLINE      32

// Font Weight
#define FT_NORMAL       0
#define FT_BOLD         3
#define FT_THIN         -5

// Structure of aConf for LS_CALEN
#define CAL_TYPE        1                        // 0 - 4
#define CAL_POSY        2
#define CAL_POSX        3
#define CAL_HEIGHT      4
#define CAL_WIDTH       5
#define CAL_FILL        6
#define CAL_SHADOW      7
#define CAL_LINESHADE   8
#define CAL_TITLE       9

// Structure of aDates
#define DA_DATE         1
#define DA_TEXT         2
#define DA_JUSTIFY      3
#define DA_WORDWRAP     4
#define DA_FILL         5
#define DA_SHADOW       6
#define DA_LINETHICK    7
#define DA_LINESHADE    8
#define DA_SHRINK       9

// Structure of aConf for LS_WEEK
#define WE_TYPE         1                        // 1 = 1 page , 2 = 2 pages
#define WE_INCRE        2                        // 60,30,15 minutes
#define WE_POSY         3
#define WE_POSX         4
#define WE_HEIGHT       5
#define WE_WIDTH        6
#define WE_FILL         7
#define WE_SHADOW       8

// Structure of aAppoint
#define AP_DATE         1
#define AP_TIME         2
#define AP_DURATION     3
#define AP_TEXT         4
#define AP_JUSTIFY      5
#define AP_WORDWRAP     6
#define AP_FILL         7

// Structure of aFieldGrid
#define GD_NAME         1
#define GD_TYPE         2
#define GD_LENGTH       3
#define GD_DECIMALS     4
#define GD_USER         5
#define GD_HEADING      6
#define GD_JUSTIFY      7
#define GD_WORDWRAP     8
#define GD_FILL         9
#define GD_SHADOW       10
#define GD_LINETHICK    11
#define GD_LINESHADE    12

// Type of Shading
#define SH_NOSHADE      0
#define SH_LIGHT        1
#define SH_DEMILIGHT    3
#define SH_SEMILIGHT    11
#define SH_MEDIUM       21
#define SH_SEMIDARK     36
#define SH_DEMIDARK     56
#define SH_DARK         81
#define SH_BLACK        100

// Sets
#define LS_ORIENTATION  0
#define LS_SHADETHICK   1
#define LS_INIT         2
#define LS_RESET        3
#define LS_HEADING      4
#define LS_DAYS         5
#define LS_MONTHS       6
#define LS_ACTIVATION   7

// Options
#define LS_PORTRAIT     0
#define LS_LANDSCAPE    1
#define LS_RIGHT        2
#define LS_CENTER       1
#define LS_LEFT         0

// PCX options
#define BUFFSIZE        1024
#define PCX_STATUS      1
#define PCX_DIRECT      2

// Macro commands
#define MAC_LEARN       0
#define MAC_ENDLEARN    1
#define MAC_EXECUTE     2
#define MAC_CALL        3
#define MAC_DELETE      8
#define MAC_DELETEALL   7
#define MAC_EVERYPAGE   4
#define MAC_SINGLECALL  5
#define MAC_PERMANENT   10
#define MAC_TEMPORARY   9

#define ADAYS  {"Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"}
#define AMONTH {"January","February","March","April","May","June","July","August","September","October","November","December"}

// French
// #define ADAYS  {"Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi"}
// #define AMONTH {"Janvier","Fvrier","Mars","Avril","Mai","Juin","Juillet","Aot","Septembre","Octobre","Novembre","Dcembre"}

